Subject: out of status lads

From: [email-masked] (Yi Guo)
Date: Tue, 19 Apr 94 12:39:34 CDT

Mi Mi wrote:
| 1) Only one city in Mexico handles your case, and I do not think why
| you can not go to GuangZhou for it. You request the city of your 
| interview choice in I-824 form. ONLY GuangZhou handles it. 

  Maybe I confused myself with the logic here.  If you mean one CAN go to 
  Mexico for the final processing, I think you are right (not "ONLY GuanZhou 
  handles it").  Actually, Juarez Mexico has advantages over GuangZhou for 
  folks in Texas (and New Mexico).  It's just opposite the El Paso, and it's 
  near the national parks.  Compared with spending > 1,000 airfare to go back 
  to China for a visa (if visiting China is not another reason), why not use 
  the Mexican border town?
  BTW, I chose Juarez, Mexico and I was notified the consul there has started 
  the final processing.

- Jimmy